DataLife Engine v5.3-7.x + Invision Power Board v2.2.2-2.3.x v1.2

Автор: Kaliostro
Защита: снята


Основные возможности интеграции:
-Форум может находиться на поддомене
-Базы форума и сайта могут различаться, если используется одна база то переключение не происходит
-Прификсы таблиц тоже могут быть как разными так и одинаковыми
-Каждую возможность можно выключить в админки
-Двухсторонняя регистрация
-Общая авторизация
-Общий профиль
-Восстановление пароля в любом скрипте
-При редактировании/удалении/добавлении пользователей в админке DLE изменения происходят и на форуме, вплоть до изменения логина
-На сайт можно повесить ссылку "Обсудить на форуме" при переходе по которой автоматически создается(если нету) тема на форуме.
----Возле ссылки можно выводить количство постов обсуждения
----Для ссылки может использоваться ЧПУ
----Вид ссылки настраивается в админке
----Возможно для разных категорий на сайте назначать отдельные форумы.
-На сайте также может быть установлен блоки: "Последние сообщения с форума", "Именинники", "Кто на сайте"
-Все настройки производиться в админке сайта, включая вид отображения блоков, поста на форуме и ссылки на форум. Данные для блока "Кто на сайте берутся из базы сессий форума и отображают всех пользователей, которые находятся на сайте и на форуме следовательно используется один запрос
-Все настройки производиться в админке сайта, включая вид отображения блока, поста на форуме и ссылки на форум.

Существует 3 вида интеграции, все они имеют одинаковые возможности, только различаются в способности переносить пользователей без изменения пароля.


Изменения с v1.0:
-Убраны все замеченные ошибки.
-Добавлен Блок "Кто на сайте"
-Добавлен Блок "Дни рождения"
-При редактировании/удалении/добавлении пользователей в админке DLE изменения происходят и на форуме, вплоть до изменения логина (бан раздельный)
-Улучшена система работы ссылки "Обсудить на форуме" теперь она более гибко настраивается и имеет возможность переносить текст новости на форум
-Появилась возможность установить ссылку обсуждения на короткую новость
-Возле ссылки можно разметить количество сообщений на форуме
-Добавилось ЧПУ для ссылки
-Если сайт и форум находятся в одной базе, то теперь не происходит переключение м/д базами
-Теперь можно включить/отключить каждую возможность отдельно
-Блок "Новое на форуме" теперь имеет свой шаблон и настраивается гораздо легче

Требования модуля:
DataLife Engine > 5.3
IPB 2.2.x-2.3.x
MySQL: > 4.1
Zend Optimizer > 3.0.0
PHP > 4.4.7

ДЕПОЗИТ
РАПИДА

Перезалито Влад (Tony)

Ua-Ix
DataLife Engine v5.3-7.x + Invision Power Board v2.2.2-2.3.x v1.2

Наш сервак
dle_ipb_v1.2.rar [60,69 Kb] (cкачиваний: 348)
Другие новости по теме:

Категория: Модули ----- Просмотров: 6374 ----- Комментариев: 24

Вернуться

  • Группа: Гости
  • ICQ: --
  • Регистрация: --
  • Комментариев: 0
  • Публикаций: 0
^
интерестно. на старо...
  • Bartz2

  • 3 ноября 2008 23:01
  • Группа: User
  • ICQ: 378421437
  • Регистрация: 29.02.2008
  • Комментариев: 63
  • Публикаций: 0
^
как интеграция кто пробывал?

--------------------
  • alexben

  • 3 ноября 2008 23:13
  • Группа: Гости
  • ICQ: --
  • Регистрация: --
  • Комментариев: 0
  • Публикаций: 0
^
ето че для 7.3 моно натянуть?
  • sevenup

  • 3 ноября 2008 23:51
  • Группа: Гости
  • ICQ: --
  • Регистрация: --
  • Комментариев: 0
  • Публикаций: 0
^
да,если бы на 7.3 работало...а так не актуально,за счет того что 5.3-5.7 движок счас редко кто юзает...
  • alexben

  • 3 ноября 2008 23:58
  • Группа: Гости
  • ICQ: --
  • Регистрация: --
  • Комментариев: 0
  • Публикаций: 0
^
я уж подумал что интеграция 7.2 на пабл вылезла) lol
  • Группа: User
  • ICQ: --
  • Регистрация: 15.06.2008
  • Комментариев: 82
  • Публикаций: 20
^
полная чушь зачем делать для 5 когда щас 7.3 непонятно sad
  • Dan7e

  • 4 ноября 2008 07:39
  • Группа: Гости
  • ICQ: --
  • Регистрация: --
  • Комментариев: 0
  • Публикаций: 0
^
От туда откуда выложили 2.11.2008 и написано от 5.3 до 7.х
  • Dan7e

  • 4 ноября 2008 09:24
  • Группа: Гости
  • ICQ: --
  • Регистрация: --
  • Комментариев: 0
  • Публикаций: 0
^
XanderMaximov незнаю я не ставил! но там было написано что идёт!
  • Группа: Гости
  • ICQ: --
  • Регистрация: --
  • Комментариев: 0
  • Публикаций: 0
^
Цитата: Dan7e
XanderMaximov незнаю я не ставил! но там было написано что идёт!

Тогда сейчас попробую и отпишусь

все работает smile
  • Группа: Гости
  • ICQ: --
  • Регистрация: --
  • Комментариев: 0
  • Публикаций: 0
^
Zend Optimizer > 3.0.0

Это обязательное требование?
  • Dan7e

  • 4 ноября 2008 15:39
  • Группа: Гости
  • ICQ: --
  • Регистрация: --
  • Комментариев: 0
  • Публикаций: 0
^
нет, потому что
IPB и DLE без него идут, а скрипт использует их движки!
Но для них было бы лучше что бы он стоял!
  • demon

  • 4 ноября 2008 18:34
  • Группа: User
  • ICQ: --
  • Регистрация: 26.04.2008
  • Комментариев: 208
  • Публикаций: 14
^
гы обфуксация кода как была так и осталась,а значит и большая часть функционала заключена в обфуксации wink судя по коду инстала:
function showrow_install( $_obfuscate_obqvewяя = "", $_obfuscate_A7_KTFVMb001xoя = "", $_obfuscate_YIq2A8cя = "" )
{
global $text_full;
$text_full .= "<tr>\r\n <td style=\"padding:4px\" class=\"option\">\r\n <b>".$_obfuscate_obqvewяя."</b><br /><span class=small>{$_obfuscate_A7_KTFVMb001xoя}</span>\r\n <td width=394 align=middle >\r\n {$_obfuscate_YIq2A8cя}\r\n </tr><tr><td background=\"engine/skins/images/mline.gif\" height=1 colspan=2></td></tr>";
}
//[ _obfuscate_YIq2A8cя ]->[ %60%8A%B6%03%C7 ]
//[ _obfuscate_A7_KTFVMb001xoя ]->[ %03%BF%8AO%F1U1%BD4%D7%1A ]
//[ _obfuscate_obqvewяя ]->[ %A1%BA%AF{ ]

function makedropdown( $_obfuscate_KoRwJJudwяя, $_obfuscate_3gn_eQяя, $_obfuscate_nBiPkeZjKpAя )
{
$_obfuscate_F5NWbxbn = "<select onclick=\"freeze(0)\" name=\"".$_obfuscate_3gn_eQяя."\">\r\
n";
foreach ( $_obfuscate_KoRwJJudwяя as $_obfuscate_VgKtFegя => $_obfuscate_A7_KTFVMb001xoя )
{
$_obfuscate_F5NWbxbn .= "<option value=\"".$_obfuscate_VgKtFegя."\"";
if ( $_obfuscate_nBiPkeZjKpAя == $_obfuscate_VgKtFegя )
{
$_obfuscate_F5NWbxbn .= " selected ";
}
$_obfuscate_F5NWbxbn .= ">".$_obfuscate_A7_KTFVMb001xoя."</option>\n
";
}
$_obfuscate_F5NWbxbn .= "</select>";
return $_obfuscate_F5NWbxbn;
}
//[ _obfuscate_A7_KTFVMb001xoя ]->[ %03%BF%8AO%F1U1%BD4%D7%1A ]
//[ _obfuscate_VgKtFegя ]->[ V%02%AD%15%E8 ]
//[ _obfuscate_F5NWbxbn ]->[ %17%93Vo%16%E7 ]
//[ _obfuscate_nBiPkeZjKpAя ]->[ %9C%18%8F%91%E6c%2A%90 ]
//[ _obfuscate_3gn_eQяя ]->[ %DE%09%FEy ]
//[ _obfuscate_KoRwJJudwяя ]->[ %FC%AA%11%C0%92nw ]

--------------------
  • alexben

  • 4 ноября 2008 20:09
  • Группа: Гости
  • ICQ: --
  • Регистрация: --
  • Комментариев: 0
  • Публикаций: 0
^
не навижу обфуксацию feel самое помоему трудная защита) мало снять зенд так потом ипать скока в коде капатьсо
  • Prodigy

  • 4 ноября 2008 20:33
  • Группа: Гости
  • ICQ: --
  • Регистрация: --
  • Комментариев: 0
  • Публикаций: 0
^
не работает поставил всё и запоганил двиг востанавил файлы которые поганил всё равно не работает ну просто ппц
  • Группа: Гости
  • ICQ: --
  • Регистрация: --
  • Комментариев: 0
  • Публикаций: 0
^
Расписано не плохо. Будем надеяться, что не обманули )
  • Krytik

  • 5 ноября 2008 20:03
  • Группа: Гости
  • ICQ: --
  • Регистрация: --
  • Комментариев: 0
  • Публикаций: 0
^
Поставил, всё работает!!!! ДЛЕ 7.2 + ИПБ 2.3.6 bully
  • alexben

  • 5 ноября 2008 20:32
  • Группа: Гости
  • ICQ: --
  • Регистрация: --
  • Комментариев: 0
  • Публикаций: 0
^
гамно ето все) надо самому заняться, я как в код взглянул...етож ппц просто wassat
у кого есть свежая интеграция Зазендиная связитсь со мной и дайте мну ее, я ее раззендю, почищу от обфуксации и снмму нормально защиту...
а ето хня, а вообще удивляюсь как ето работает lol
  • Rendll

  • 6 ноября 2008 16:03
  • Группа: Гости
  • ICQ: --
  • Регистрация: --
  • Комментариев: 0
  • Публикаций: 0
^
Етот модуль у меня давно уже есть. Пробовал я на локальном хосте, фигня =(( Есть много ошибок: После введения даных и нажатия регистрация пишет: Ошибка работы БД, но юзер всё-таки региться! А так всё работает.
Еси купить, тогда всем будете довольны. 15$ для серьёзного проекта я думаю небольшие деньгИ!
  • Iva

  • 12 ноября 2008 17:01
  • Группа: Гости
  • ICQ: --
  • Регистрация: --
  • Комментариев: 0
  • Публикаций: 0
^
На дле 6.7 станет?
  • Jericho

  • 15 ноября 2008 12:33
  • Группа: Гости
  • ICQ: --
  • Регистрация: --
  • Комментариев: 0
  • Публикаций: 0
^
У меня при регистрации на форуме возникает ошибка
"Ошибка при работе с базой данных
Возникла проблема при работе с базой данных.
Вы можете попробовать обновить эту страницу, нажав сюда"

При чем аккаунт на форуме создается, но для DLE он не действителен...
Помогите, если кто-то сталкивался с таким(((( no

EDIT: я решил изменить ссылку регистрации на форуме на регистрацию на DLE, так меньше всего мороки...

Но вот возник еще такой вопрос... как сделать ссылку на форум так, чтобы был общий вход сайта и форума?? просто если переходить по ссылке новости на форум, тогда на форуме авторизирован, а если вот по кнопке такой например http://mydomain.com/forum/index.php, тогда нужно дополнительно вводить логин и пароль

И при создании новости не удается создать ссылку на форум.. тоесть при нажатии на кнопку "Обсудить на форуме" переходит обратно на главную
  • Umnik

  • 9 марта 2009 20:59
  • Группа: Гости
  • ICQ: --
  • Регистрация: --
  • Комментариев: 0
  • Публикаций: 0
^
Поставил данный модуль на DLE 7.0 и IPB 2.3.5. Все работает нормально. Огромное спасибо! Но есть один вопрос как перенести пользователей, которые уже были на сайте зарегистрированы в базу форума?
  • emogot

  • 17 марта 2009 12:22
  • Группа: Гости
  • ICQ: --
  • Регистрация: --
  • Комментариев: 0
  • Публикаций: 0
^
Поставил на 7.5 с IPB v2.3.6 winked
  • HAMMER

  • 6 сентября 2009 11:49
  • Группа: User
  • ICQ: 768344
  • Регистрация: 16.06.2009
  • Комментариев: 1
  • Публикаций: 0
^
Ну что ж? DLE 8.2 + IPB 2.3.4
если руки не кривые, то все будет работать))) я поставил, всё пашет))

--------------------
  • Sanek89

  • 16 сентября 2009 22:49
  • Группа: Гости
  • ICQ: --
  • Регистрация: --
  • Комментариев: 0
  • Публикаций: 0
^
Распиши что исправил, а то у меня никак не хочет устанавливаться